﻿
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows.Controls;

namespace PsalmsOfEia.UI.Menus.ViewModels
{
    public abstract class BaseViewModel : INotifyPropertyChanged
    {

        private IViewModel selectedViewModel;

        public IViewModel SelectedViewModel
        {
            get { return selectedViewModel; }

            set
            {
                selectedViewModel = value;
                NotifyPropertyChanged();
            }
        }

        protected void SetViewModel(IViewModel viewModel)
        {
            SelectedViewModel = viewModel;
        }


        protected void NotifyPropertyChanged([CallerMemberName]string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
